Index: atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash.sdc
===================================================================
--- atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash.sdc	(revision 1421)
+++ atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash.sdc	(revision 1422)
@@ -1,4 +1,4 @@
-# (C) 2001-2019 Intel Corporation. All rights reserved.
+# (C) 2001-2024 Intel Corporation. All rights reserved.
 # Your use of Intel Corporation's design tools, logic functions and other 
 # software and tools, and its AMPP partner logic functions, and any output 
 # files from any of the foregoing (including device programming or simulation 
Index: atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash.v
===================================================================
--- atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash.v	(revision 1421)
+++ atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash.v	(revision 1422)
@@ -1,4 +1,4 @@
-// (C) 2001-2019 Intel Corporation. All rights reserved.
+// (C) 2001-2024 Intel Corporation. All rights reserved.
 // Your use of Intel Corporation's design tools, logic functions and other 
 // software and tools, and its AMPP partner logic functions, and any output 
 // files from any of the foregoing (including device programming or simulation 
Index: atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_avmm_csr_controller.v
===================================================================
--- atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_avmm_csr_controller.v	(revision 1421)
+++ atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_avmm_csr_controller.v	(revision 1422)
@@ -1,4 +1,4 @@
-// (C) 2001-2019 Intel Corporation. All rights reserved.
+// (C) 2001-2024 Intel Corporation. All rights reserved.
 // Your use of Intel Corporation's design tools, logic functions and other 
 // software and tools, and its AMPP partner logic functions, and any output 
 // files from any of the foregoing (including device programming or simulation 
Index: atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_avmm_data_controller.v
===================================================================
--- atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_avmm_data_controller.v	(revision 1421)
+++ atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_avmm_data_controller.v	(revision 1422)
@@ -1,4 +1,4 @@
-// (C) 2001-2019 Intel Corporation. All rights reserved.
+// (C) 2001-2024 Intel Corporation. All rights reserved.
 // Your use of Intel Corporation's design tools, logic functions and other 
 // software and tools, and its AMPP partner logic functions, and any output 
 // files from any of the foregoing (including device programming or simulation 
@@ -217,7 +217,6 @@
     reg flash_drdin_neg_reg;
     reg [15:0] write_count;
     reg [25:0] erase_count;
-    reg [2:0] read_count;
     reg [2:0] read_ctrl_count;
     reg [2:0] data_count;
     reg write_timeout;
@@ -331,8 +330,8 @@
     generate // generate combi based on read burst mode
         if (WRAPPING_BURST_MODE == 0) begin
             // incrementing read
-            //assign flash_read_addr = (is_read_busy) ? flash_seq_read_ardin : avmm_addr;
-            assign flash_read_addr = avmm_addr; // intel ufm read bug fix 'Is there a known issue with the MAX 10 On Chip Flash IP, for UFM read operations?'
+            assign flash_read_addr = (is_read_busy) ? flash_seq_read_ardin : avmm_addr;
+            //assign flash_read_addr = avmm_addr; // intel ufm read bug fix 'Is there a known issue with the MAX 10 On Chip Flash IP, for UFM read operations?'
             assign cur_e_addr = csr_sector_erase_addr;
             assign cur_a_addr = (valid_csr_erase) ? csr_page_erase_addr : flash_read_addr;
             assign flash_arclk_arshft_en_w = (~is_erase_busy && ~is_write_busy && ~is_read_busy && valid_command) || (is_read_busy && (read_state == READ_STATE_FINAL || read_state == READ_STATE_ADDR));
@@ -422,7 +421,6 @@
         reset_n_reg2 = 0;
         read_wait = 0;
         read_wait_neg = 0;
-        read_count = 0;
         is_sector1_writable_reg = 0;
         is_sector2_writable_reg = 0;
         is_sector3_writable_reg = 0;
@@ -599,6 +597,7 @@
                 if (~reset_n_w) begin
                     write_state <= WRITE_STATE_IDLE;
                     write_wait <= 0;
+                    csr_status_w_pass <= 1'b0;
                 end
                 else begin
                     case (write_state)
@@ -614,6 +613,7 @@
                                 if (~valid_csr_erase && ~is_erase_busy && ~is_read_busy) begin
                                     write_state <= WRITE_STATE_ADDR;
                                     write_wait <= 1;
+                                    csr_status_w_pass <= 1'b0;
                                 end
                             end
                         end
@@ -723,6 +723,7 @@
             always @ (posedge clock) begin
                 if (~reset_n_w) begin
                     erase_state <= ERASE_STATE_IDLE;
+                    csr_status_e_pass <= 1'b0;
                 end
                 else begin
                     case (erase_state)
@@ -736,6 +737,7 @@
                             // check command
                             if (valid_csr_erase && ~is_write_busy && ~is_read_busy) begin
                                 erase_state <= ERASE_STATE_ADDR;
+                                csr_status_e_pass <= 1'b0;
                             end
                         end
 
@@ -829,6 +831,7 @@
                 if (~reset_n_w) begin
                     read_state <= READ_STATE_IDLE;
                     read_wait <= 0;
+                    csr_status_r_pass <= 0;
                 end
                 else begin
                     case (read_state)
@@ -851,6 +854,7 @@
                                     read_state <= READ_STATE_ADDR;
                                     flash_seq_read_ardin <= avmm_addr;
                                     avmm_burstcount_input_reg <= avmm_burstcount;
+                                    csr_status_r_pass <= 0;
                                 end
                             end
                         end
@@ -940,10 +944,14 @@
             // -------------------------------------------------------------------
             // Avalon_MM data interface fsm - communicate between Avalon_MM and Flash IP (Wrapping Burst Read Operation)
             // -------------------------------------------------------------------        
+            
+            reg [2:0] read_count;
+            
             always @ (posedge clock) begin
                 if (~reset_n_w) begin
                     read_state <= READ_STATE_IDLE;
                     read_wait <= 0;
+                    read_count <= 3'd0;
                 end
                 else begin
                     case (read_state)
Index: atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_util.v
===================================================================
--- atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_util.v	(revision 1421)
+++ atari_chips/pokeyv2/flash_04/flash/synthesis/submodules/altera_onchip_flash_util.v	(revision 1422)
@@ -1,4 +1,4 @@
-// (C) 2001-2019 Intel Corporation. All rights reserved.
+// (C) 2001-2024 Intel Corporation. All rights reserved.
 // Your use of Intel Corporation's design tools, logic functions and other 
 // software and tools, and its AMPP partner logic functions, and any output 
 // files from any of the foregoing (including device programming or simulation 
Index: atari_chips/pokeyv2/flash_04/flash.qsys
===================================================================
--- atari_chips/pokeyv2/flash_04/flash.qsys	(revision 1421)
+++ atari_chips/pokeyv2/flash_04/flash.qsys	(revision 1422)
@@ -6,7 +6,7 @@
    version="1.0"
    description=""
    tags="INTERNAL_COMPONENT=true"
-   categories="" />
+   categories="System" />
  <parameter name="bonusData"><![CDATA[bonusData 
 {
    element onchip_flash_0
@@ -64,7 +64,7 @@
  <module
    name="onchip_flash_0"
    kind="altera_onchip_flash"
-   version="19.1"
+   version="23.1"
    enabled="1"
    autoexport="1">
   <parameter name="AUTO_CLOCK_RATE" value="0" />
Index: atari_chips/pokeyv2/flash_04/flash.sopcinfo
===================================================================
--- atari_chips/pokeyv2/flash_04/flash.sopcinfo	(revision 1421)
+++ atari_chips/pokeyv2/flash_04/flash.sopcinfo	(revision 1422)
@@ -1,11 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <EnsembleReport name="flash" kind="flash" version="1.0" fabric="QSYS">
- <!-- Format version 19.1 670 (Future versions may contain additional information.) -->
- <!-- 2020.06.18.10:30:08 -->
+ <!-- Format version 23.1 993 (Future versions may contain additional information.) -->
+ <!-- 2024.08.31.14:41:48 -->
  <!-- A collection of modules and connections -->
  <parameter name="AUTO_GENERATION_ID">
   <type>java.lang.Integer</type>
-  <value>1592469008</value>
+  <value>1725108108</value>
   <derived>false</derived>
   <enabled>true</enabled>
   <visible>false</visible>
@@ -98,7 +98,7 @@
  <module
    name="onchip_flash_0"
    kind="altera_onchip_flash"
-   version="19.1"
+   version="23.1"
    path="onchip_flash_0">
   <!-- Describes a single module. Module parameters are
 the requested settings for a module instance. -->
@@ -735,7 +735,7 @@
    <visible>true</visible>
    <valid>true</valid>
   </parameter>
-  <interface name="clk" kind="clock_sink" version="19.1">
+  <interface name="clk" kind="clock_sink" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -796,7 +796,7 @@
     <role>clk</role>
    </port>
   </interface>
-  <interface name="nreset" kind="reset_sink" version="19.1">
+  <interface name="nreset" kind="reset_sink" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -841,7 +841,7 @@
     <role>reset_n</role>
    </port>
   </interface>
-  <interface name="data" kind="avalon_slave" version="19.1">
+  <interface name="data" kind="avalon_slave" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -1224,7 +1224,7 @@
     <role>burstcount</role>
    </port>
   </interface>
-  <interface name="csr" kind="avalon_slave" version="19.1">
+  <interface name="csr" kind="avalon_slave" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -1596,7 +1596,7 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IModule</subtype>
   <displayName>On-Chip Flash Intel FPGA IP</displayName>
-  <version>19.1</version>
+  <version>23.1</version>
  </plugin>
  <plugin>
   <instanceCount>1</instanceCount>
@@ -1604,7 +1604,7 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
   <displayName>Clock Input</displayName>
-  <version>19.1</version>
+  <version>23.1</version>
  </plugin>
  <plugin>
   <instanceCount>1</instanceCount>
@@ -1612,7 +1612,7 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
   <displayName>Reset Input</displayName>
-  <version>19.1</version>
+  <version>23.1</version>
  </plugin>
  <plugin>
   <instanceCount>2</instanceCount>
@@ -1620,8 +1620,8 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
   <displayName>Avalon Memory Mapped Slave</displayName>
-  <version>19.1</version>
+  <version>23.1</version>
  </plugin>
- <reportVersion>19.1 670</reportVersion>
+ <reportVersion>23.1 993</reportVersion>
  <uniqueIdentifier></uniqueIdentifier>
 </EnsembleReport>
Index: atari_chips/pokeyv2/flash_08/flash/flash.bsf
===================================================================
--- atari_chips/pokeyv2/flash_08/flash/flash.bsf	(revision 1421)
+++ atari_chips/pokeyv2/flash_08/flash/flash.bsf	(revision 1422)
@@ -4,7 +4,7 @@
 the Block Editor! File corruption is VERY likely to occur.
 */
 /*
-Copyright (C) 2020  Intel Corporation. All rights reserved.
+Copyright (C) 2024  Intel Corporation. All rights reserved.
 Your use of Intel Corporation's design tools, logic functions 
 and other software and tools, and any partner logic 
 functions, and any output files from any of the foregoing 
Index: atari_chips/pokeyv2/flash_08/flash/flash_generation.rpt
===================================================================
--- atari_chips/pokeyv2/flash_08/flash/flash_generation.rpt	(revision 1421)
+++ atari_chips/pokeyv2/flash_08/flash/flash_generation.rpt	(revision 1422)
@@ -1,8 +1,42 @@
+Info: Starting: Create simulation model
+Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash.qsys --simulation=VHDL --allow-mixed-language-simulation --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation --family="MAX 10" --part=10M08SCU169C8G
+Progress: Loading build_sidmax_10M08_full/flash.qsys
+Progress: Reading input file
+Progress: Adding onchip_flash_0 [altera_onchip_flash 23.1]
+Progress: Parameterizing module onchip_flash_0
+Progress: Building connections
+Progress: Parameterizing connections
+Progress: Validating
+Progress: Done reading input file
+Info: flash: Generating flash "flash" for SIM_VHDL
+Info: onchip_flash_0: "flash" instantiated altera_onchip_flash "onchip_flash_0"
+Info: flash: Done "flash" with 2 modules, 5 files
+Info: qsys-generate succeeded.
+Info: Finished: Create simulation model
+Info: Starting: Create Modelsim Project.
+Info: sim-script-gen --spd=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/flash.spd --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation/ --use-relative-paths=true
+Info: Doing: ip-make-simscript --spd=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/flash.spd --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation/ --use-relative-paths=true
+Info: Generating the following file(s) for XCELIUM simulator in /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation/ directory:
+Info: 	xcelium/cds.lib
+Info: 	xcelium/hdl.var
+Info: 	xcelium/xcelium_setup.sh
+Info: 	1 .cds.lib files in xcelium/cds_libs/ directory
+Info: Generating the following file(s) for RIVIERA simulator in /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation/ directory:
+Info: 	aldec/rivierapro_setup.tcl
+Info: Generating the following file(s) for VCSMX simulator in /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation/ directory:
+Info: 	synopsys/vcsmx/synopsys_sim.setup
+Info: 	synopsys/vcsmx/vcsmx_setup.sh
+Info: Generating the following file(s) for MODELSIM simulator in /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation/ directory:
+Info: 	mentor/msim_setup.tcl
+Info: Skipping VCS script generation since VHDL file $QUARTUS_INSTALL_DIR/eda/sim_lib/altera_syn_attributes.vhd is required for simulation
+Info: For information on how to simulate your IP, see the explanatory comments in the simulator-specific subdirectories under /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/simulation/.
+Info: Regenerate these scripts whenever you make any change to any Quartus-generated IP in your project.
+Info: Finished: Create Modelsim Project.
 Info: Starting: Create block symbol file (.bsf)
-Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/minimal_flash/build_burst/flash.qsys --block-symbol-file --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/minimal_flash/build_burst/flash --family="MAX 10" --part=10M08SCU169C8G
-Progress: Loading build_burst/flash.qsys
+Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash.qsys --block-symbol-file --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash --family="MAX 10" --part=10M08SCU169C8G
+Progress: Loading build_sidmax_10M08_full/flash.qsys
 Progress: Reading input file
-Progress: Adding onchip_flash_0 [altera_onchip_flash 20.1]
+Progress: Adding onchip_flash_0 [altera_onchip_flash 23.1]
 Progress: Parameterizing module onchip_flash_0
 Progress: Building connections
 Progress: Parameterizing connections
@@ -12,10 +46,10 @@
 Info: Finished: Create block symbol file (.bsf)
 Info: 
 Info: Starting: Create HDL design files for synthesis
-Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/minimal_flash/build_burst/flash.qsys --synthesis=VHDL --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/minimal_flash/build_burst/flash/synthesis --family="MAX 10" --part=10M08SCU169C8G
-Progress: Loading build_burst/flash.qsys
+Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash.qsys --synthesis=VHDL --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/atari_chips/pokeyv2/build_sidmax_10M08_full/flash/synthesis --family="MAX 10" --part=10M08SCU169C8G
+Progress: Loading build_sidmax_10M08_full/flash.qsys
 Progress: Reading input file
-Progress: Adding onchip_flash_0 [altera_onchip_flash 20.1]
+Progress: Adding onchip_flash_0 [altera_onchip_flash 23.1]
 Progress: Parameterizing module onchip_flash_0
 Progress: Building connections
 Progress: Parameterizing connections
Index: atari_chips/pokeyv2/flash_08/flash/synthesis/flash.debuginfo
===================================================================
--- atari_chips/pokeyv2/flash_08/flash/synthesis/flash.debuginfo	(revision 1421)
+++ atari_chips/pokeyv2/flash_08/flash/synthesis/flash.debuginfo	(revision 1422)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<EnsembleReport name="flash" kind="system" version="20.1" fabric="QSYS">
- <!-- Format version 20.1 720 (Future versions may contain additional information.) -->
- <!-- 2021.01.13.14:03:24 -->
+<EnsembleReport name="flash" kind="system" version="23.1" fabric="QSYS">
+ <!-- Format version 23.1 993 (Future versions may contain additional information.) -->
+ <!-- 2024.08.31.14:17:13 -->
  <!-- A collection of modules and connections -->
  <parameter name="clockCrossingAdapter">
   <type>com.altera.sopcmodel.ensemble.EClockAdapter</type>
@@ -53,7 +53,7 @@
  </parameter>
  <parameter name="generationId">
   <type>int</type>
-  <value>1610543004</value>
+  <value>1725106633</value>
   <derived>false</derived>
   <enabled>true</enabled>
   <visible>true</visible>
@@ -101,7 +101,7 @@
  </parameter>
  <parameter name="projectName">
   <type>java.lang.String</type>
-  <value>minimal_flash.qpf</value>
+  <value>pokeymax.qpf</value>
   <derived>false</derived>
   <enabled>true</enabled>
   <visible>false</visible>
@@ -150,7 +150,7 @@
  <module
    name="onchip_flash_0"
    kind="altera_onchip_flash"
-   version="20.1"
+   version="23.1"
    path="onchip_flash_0">
   <!-- Describes a single module. Module parameters are
 the requested settings for a module instance. -->
@@ -296,7 +296,7 @@
   </parameter>
   <parameter name="CLOCK_FREQUENCY">
    <type>double</type>
-   <value>80.0</value>
+   <value>116.0</value>
    <derived>false</derived>
    <enabled>true</enabled>
    <visible>true</visible>
@@ -693,7 +693,7 @@
   </parameter>
   <parameter name="FLASH_RESET_CYCLE_MAX_INDEX">
    <type>int</type>
-   <value>20</value>
+   <value>29</value>
    <derived>true</derived>
    <enabled>true</enabled>
    <visible>false</visible>
@@ -701,7 +701,7 @@
   </parameter>
   <parameter name="FLASH_BUSY_TIMEOUT_CYCLE_MAX_INDEX">
    <type>int</type>
-   <value>96</value>
+   <value>139</value>
    <derived>true</derived>
    <enabled>true</enabled>
    <visible>false</visible>
@@ -709,7 +709,7 @@
   </parameter>
   <parameter name="FLASH_ERASE_TIMEOUT_CYCLE_MAX_INDEX">
    <type>int</type>
-   <value>28000000</value>
+   <value>40600000</value>
    <derived>true</derived>
    <enabled>true</enabled>
    <visible>false</visible>
@@ -717,7 +717,7 @@
   </parameter>
   <parameter name="FLASH_WRITE_TIMEOUT_CYCLE_MAX_INDEX">
    <type>int</type>
-   <value>24400</value>
+   <value>35380</value>
    <derived>true</derived>
    <enabled>true</enabled>
    <visible>false</visible>
@@ -787,7 +787,7 @@
    <visible>true</visible>
    <valid>true</valid>
   </parameter>
-  <interface name="clk" kind="clock_sink" version="20.1">
+  <interface name="clk" kind="clock_sink" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -848,7 +848,7 @@
     <role>clk</role>
    </port>
   </interface>
-  <interface name="nreset" kind="reset_sink" version="20.1">
+  <interface name="nreset" kind="reset_sink" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -893,7 +893,7 @@
     <role>reset_n</role>
    </port>
   </interface>
-  <interface name="data" kind="avalon_slave" version="20.1">
+  <interface name="data" kind="avalon_slave" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -1276,7 +1276,7 @@
     <role>burstcount</role>
    </port>
   </interface>
-  <interface name="csr" kind="avalon_slave" version="20.1">
+  <interface name="csr" kind="avalon_slave" version="23.1">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -1648,7 +1648,7 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IModule</subtype>
   <displayName>On-Chip Flash Intel FPGA IP</displayName>
-  <version>20.1</version>
+  <version>23.1</version>
  </plugin>
  <plugin>
   <instanceCount>1</instanceCount>
@@ -1656,7 +1656,7 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
   <displayName>Clock Input</displayName>
-  <version>20.1</version>
+  <version>23.1</version>
  </plugin>
  <plugin>
   <instanceCount>1</instanceCount>
@@ -1664,7 +1664,7 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
   <displayName>Reset Input</displayName>
-  <version>20.1</version>
+  <version>23.1</version>
  </plugin>
  <plugin>
   <instanceCount>2</instanceCount>
@@ -1672,8 +1672,8 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
   <displayName>Avalon Memory Mapped Slave</displayName>
-  <version>20.1</version>
+  <version>23.1</version>
  </plugin>
- <reportVersion>20.1 720</reportVersion>
- <uniqueIdentifier>F44D30F4F5CE00000176FBD7FCF7</uniqueIdentifier>
+ <reportVersion>23.1 993</reportVersion>
+ <uniqueIdentifier>02424E4C123F00000191A85E3CEF</uniqueIdentifier>
 </EnsembleReport>
